7.1.1 End Point Details
- Method – GET
- REST Endpoint - /dataextractor/getDataExportManifestFile?
code=<code>&batchRunId=<batchRunId>, where code is the data export definition code and batchRunId is the data export execution batch run ID. - Content-Type - application/json
Request Headers Details
The following lists the Request Headers:
- ofs_tenant_id - Tenant ID of the Application.
- locale - Local language in the language code format. For example,
en-US. - ofs_remote_user - User ID of the user.
- ofs_workspace_id - Workspace ID of the Application. The default value is
WS001and same should be passed each time. - ofs_service_id - Service ID of the Application.
- Authorization - Access token required to authenticate the API. If this token is not provided, a 401 Unauthorized error is generated. For more information about the Bearer token, refer to Generate the Access Token.
Request Parameters
The following table lists the Request Parameters:
Table 7-1 Request Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| Code | STRING | Yes | The data export definition code for which the manifest file is to be retrieved. |
| batchRunId | STRING | Yes | The batch run ID for which the manifest file is to be retrieved. |
Sample cURL Command
curl -k --location --request GET 'https://<hostname>/<TENANT-ID>/
/dataextractor/getDataExportManifestFile?code=<CODE>&batchRunId=<Batch Run ID>'\
--header 'ofs_remote_user: <USERID>'
--header 'ofs_service_id: <SERVICE-ID>'
--header 'locale: en-US' \
--header 'ofs_tenant_id: <TENANT-ID>' \
--header 'ofs_workspace_id: WS001' \
--header 'content-type: application/json' \
--header 'Authorization: Bearer <TOKEN>'